var oldYear;
var oldKeyWord;
var oldStatus;
var laydate;
var upload;
var token = localStorage.getItem("token");
layui.use(['table', 'layer', 'laydate', 'jquery', 'form', 'upload'], function () {
    var table = layui.table;
    laydate = layui.laydate;
    upload = layui.upload;
    let form = layui.form;
    //渲染table
    table.render({
        elem: '#demo'
        , url: ctxPath + '/career/getMsgContent' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {
            physicalTime:$("#ID-laydate-type-year").val()
        } //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {type: 'checkbox', title: '复选框',field: 'allCheck',width: 100} //序号列
            ,{field: 'number', width:120,title: '序号', align: 'center', type: 'numbers'}
            , {field: 'personName',width: 120, align: 'center', title: '姓名'}
            ,{field: 'idNumber', align: 'center',width : 220,title: '身份证号码',templet:function(res){
                    return res.idNumber + "\t";
                }}
            , {field: 'age',width: 120, align: 'center', title: '年龄'}
            , {field: 'sex', width: 100, align: 'center', title: '性别'}
            , {field: 'phone', width: 160, align: 'center', title: '联系方式'}
            , {field: 'unit', width: 220, align: 'center', title: '部门'}
            , {field: 'postName',  align: 'center', title: '岗位'}
            // , {field: 'higherJob', width: 120, align: 'center', title: '本次体检时间'}
            // , {field: 'personType', width: 150, align: 'center', title: '下次体检时间'}
            , {field: 'status', width: 120, align: 'center', title: '状态'}
            // , {field: 'filePath', width: 150, align: 'center', title: '体检报告'}
            ,{field: 'filePath', align: 'center',width : 240,title: '体检报告',templet:function(res){
                    if (isEmptyAndNull(res.filePath)){
                        return '<span style="color:#48ca66" onclick="showPDF(\''+res.filePath+'\')">体检报告</span>';
                    }else {
                        return '';
                    }
                }}
        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [5, 10, 20]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        },

        toolbar: "#toolbar"
    });


    //头监听事件 -- checkBox 选中行和选中条数
    table.on('toolbar(test)', function (obj) {
        // 获取当前表格被选中的记录对象，返回数据
        var checkStatus = table.checkStatus(obj.config.id);
        //获取事件名，执行对应的代码
        var eventName = obj.event;
        switch (eventName) {
            case "searchBt":
                document.getElementById("searchBt").click();//按钮自动点击一次
                oldYear = $("#ID-laydate-type-year").val();
                oldKeyWord = $("#keyWord").val();
                table.reload('menuTable', {
                    url: ctxPath + '/career/getMsgContent'
                    , method: 'post' //方式默认是get
                    , page: true
                    , where: {
                        keyWord: oldKeyWord,
                        physicalTime: oldYear,
                    } //设定异步数据接口的额外参数
                });
                /**二次赋值-- 点击搜索按钮之后会进行一次刷新操作*/
                initTime();
                $("#ID-laydate-type-year").val(oldYear);
                $("#keyWord").val(oldKeyWord);
                break;
            case "exportBtn":
                exportExcel();
                break;
        }
    });
    initTime();
});

function initTime(){
    laydate.render({
        elem: '#ID-laydate-type-year',
        type: 'year',
        value: getNowTime().substr(0,4),
    });
}

function exportExcel() {
    oldKeyWord = $("#keyWord").val();
    oldYear = $("#ID-laydate-type-year").val();
    window.location.href = ctxPath + "/export/careerStatisticsExport?hazards=" + "" + "&status=" + "" + "&keyWord=" + oldKeyWord +"&physicalTime=" + oldYear + "&token=" + token;
}

function showPDF(filePath){
    var height = '98%';
    var width = '98%';
    var index = layer.open({
        title: ["查看体检报告", 'color:#3B70A1;background-color:#E8ECEB;font-size:20px'],
        type: 2,
        content: './FileView.html',//PublicFileView
        area: [width, height],
        maxmin: false,
        success: function (layero, index) {
            var iframeWin = window[layero.find('iframe')[0]['name']];//获得iframe页的窗口对象，执行iframe页的方法：
            iframeWin.setParam(filePath, filePath, "", "");//调用子页面的方法，页面锁定
        },
    });
}